Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Suggestions
Supercharge your AI agents with the Notte CLI and MCP. Use this quickstart prompt for AI.
Python
import os import requests # Call the scheduling HTTP API directly; no Python SDK scheduling helper is required. function_id = "<function_id>" response = requests.delete( f"{os.environ.get('NOTTE_API_URL', 'https://api.notte.cc')}/functions/{function_id}/schedule", headers={"Authorization": f"Bearer {os.environ['NOTTE_API_KEY']}"}, timeout=30, ) response.raise_for_status() print(response.json())
import { NotteClient } from "notte-sdk"; const notte = new NotteClient(); const fn = notte.NotteFunction({ function_id: "<function_id>" }); await fn.deleteSchedule();
curl -X DELETE "https://api.notte.cc/functions/$function_id/schedule" \ -H "Authorization: Bearer $NOTTE_API_KEY" \ -H "Content-Type: application/json"
{ "status": "<string>" }
{ "detail": [ { "loc": [ "<string>" ], "msg": "<string>", "type": "<string>", "input": "<unknown>", "ctx": {} } ] }
The access token received from the authorization server in the OAuth 2.0 flow.
Successful Response
Was this page helpful?